from axelrod.action import Action, actions_to_str
from axelrod.player import Player
from axelrod.strategy_transformers import (
    FinalTransformer,
    TrackHistoryTransformer,
)
IllllIIIIlIlIIl, lIlIlllIlIIIlI = Action.C, Action.D
class IIlIIlIIlllIIlI(Player):
    IIIIIIIlIIllIII = "strategy"
    llIllllIl = {
        "memory_depth": 3,  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def lIlIlIIllIlll(IIIIIlIlIlll: Player) -> Action:
        if not IIIIIlIlIlll.history:
            return IllllIIIIlIlIIl
        if lIlIlllIlIIIlI in IIIIIlIlIlll.history[-3:]:
            return lIlIlllIlIIIlI
        return IllllIIIIlIlIIl